Support API
DoiT offers consulting and support for Amazon Web Services, Google Cloud, Microsoft Azure, and the DoiT Platform, tailored to the specific service tier you're subscribed to. Read more about DoiT Consulting and support.
The Support API lets you manage support tickets programmatically. Instead of using the DoiT Console to view and respond to tickets, you can integrate ticket management into your own automation workflows, scripts, or infrastructure-as-code tools.
Required PermissionsNo permission is required to access Support API
Operations
The Support API allows you to create tickets, retrieve ticket details, and manage ticket comments, giving you full lifecycle control over your support interactions with DoiT.
- GET /support/v1/tickets: Returns a list of requests that your account has access to.
- POST support/v1/tickets: Creates a new support request.
- GET /support/v1/tickets/{ticketId}: Returns the details of a single support request by its ID.
- GET support/v1/tickets/{ticketId}/comments: Returns all comments on a support request.
- POST /support/v1/tickets/{ticketId}/comments: Adds a comment to an existing support request.
Schema
Ticket Object Fields
Field | Description |
|---|---|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
Examples
List all requests
The List requests method provides a list of all historical and active tickets.
You can filter the list using the following parameters:
Parameter | Description |
|---|---|
|
|
|
|
|
Multiple filters can be AND'ed together by connecting with a Learn more about how to properly use filter *.list requests |
Sample request to list all tickets with priority set to "high":
curl --location --request GET 'https://api.doit.com/support/v1/tickets?filter=priority:high' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {YOUR_API_KEY}' \
--data-raw ''
YOUR_API_KEYReplace "YOUR_API_KEY" with your actual API key as explained at Get Started
Sample response:
{
"tickets": [
{
"id": 35266,
"subject": "getting error when running a query",
"severity": "high",
"requester": "[email protected]",
"platform": "google_cloud_platform",
"category": "analytics___etls__google_bigquery",
"lastModified": 1606215498000,
"status": "hold",
"url": "https://app.doit.com/customers/2Gi0e4pPA3wsfJNOOohW/support/tickets/35266"
},
{
"id": 28739,
"subject": "S3 object download not fetching the latest version ",
"severity": "high",
"requester": "[email protected]",
"platform": "amazon_web_services",
"category": "storage__amazon_s3",
"lastModified": 1591885317000,
"status": "closed",
"url": "https://app.doit.com/customers/2Gi0e4pPA3wsfJNOOohW/support/tickets/28739"
}
]
}
(Ticket) objectSee object reference here
Create a request
The Create a request method gets the full details of an individual ticket using the issue ID. Note that the issue ID is not the one reported by the cloud provider.
Sample request:
curl --location --request POST 'https://api.doit.com/support/v1/tickets' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {YOUR_API_KEY}' \
--data-raw '{
"ticket": {
"subject": "Pod restart every few minutes",
"body": "One of my pods in the GKE cluster keep restarting every few minutes. I checked the log and could not see any obvious reasons. What else should I look for?",
"requester": "[email protected]",
"severity": "low",
"platform": "Google Cloud",
"category": "containers___kubernetes__google_gke"
}
}'Sample response:
{
"id": 35519,
"subject": "Pod restart every few minutes",
"requester": "[email protected]",
"severity": "low",
"platform": "google_cloud_platform",
"category": "containers___kubernetes__google_gke",
"status": "new",
"url": "https://app.doit.com/customers/2Gi0e4pPA3wsfJNOOohW/support/tickets/35519"
}Response Body
If successful, the response body contains an instance of Ticket
{
"id": number,
"subject": string,
"requester": string,
"severity": string,
"platform": string,
"category": string,
"status": string,
"url": string
}Updated 6 days ago
